Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.perforce
Class P4HandlerAdapter.Reader

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.perforce.P4HandlerAdapter.Reader

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  P4HandlerAdapter

public class P4HandlerAdapter.Reader
extends java.lang.Object
implements java.lang.Runnable

Field Summary
`protected java.io.InputStream` | `mystream`

Constructor Summary
`P4HandlerAdapter.Reader(java.io.InputStream is)`

Method Summary
`void` | `run()`
`void` | `setStream(java.io.InputStream is)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mystream

    protected java.io.InputStream mystream

Constructor Detail

### P4HandlerAdapter.Reader

    public P4HandlerAdapter.Reader(java.io.InputStream is)

Method Detail

### setStream

    public void setStream(java.io.InputStream is)

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.